CreateSubscription - Amazon Connect Health

CreateSubscription

Creates a new Subscription within a Domain for billing and user management.

Request Syntax

POST /domains/domainId/subscriptions HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

domainId

The unique identifier of the parent Domain.

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 201 Content-type: application/json { "activatedAt": number, "arn": "string", "createdAt": number, "deactivatedAt": number, "domainId": "string", "lastUpdatedAt": number, "status": "string", "subscriptionId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

activatedAt

Type: Timestamp

arn

Type: String

Pattern: arn:aws:health-agent:[a-z0-9-]+:[0-9]{12}:domain/(hai-|dom-)[a-z0-9]+/subscription/sub-[a-zA-Z0-9]{21}

createdAt

Type: Timestamp

deactivatedAt

Type: Timestamp

domainId

Type: String

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

lastUpdatedAt

Type: Timestamp

status

Type: String

Valid Values: ACTIVE | INACTIVE | DELETED

subscriptionId

Type: String

Length Constraints: Fixed length of 25.

Pattern: sub-[a-zA-Z0-9]{21}

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

This error is thrown when the client does not supply proper credentials to the API.

HTTP Status Code: 401

InternalServerException

This error is thrown when a transient error causes our API to fail.

HTTP Status Code: 500

ResourceNotFoundException

This error is thrown when the requested resource is not found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request exceeds a service quota.

HTTP Status Code: 402

ValidationException

This error is thrown when the client supplies invalid input to the API.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: